package com.dragoninfo.dcuc.authweb.config;

import com.dragoninfo.dcuc.authweb.enums.CheckTypeEnum;
import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author Administrator
 * @date 2019/3/13
 */
@ConfigurationProperties(prefix = "dcuc.authweb")
@Data
@Component
public class DcucAuthWebConfig {

    /**
     * 应用code
     */
    private String appCode;

    /**
     * 是否启用auth模块管理本系统菜单权限
     */
    private boolean authAccess;

    /**
     * 凭据鉴权类型
     */
    private CheckTypeEnum checkTypeEnum = CheckTypeEnum.TOKEN;
}
