package com.dragoninfo.dcuc.authweb.exception;

/**
 * @Author yica
 * @Date 2021/1/18 17:30
 **/
public class EvidenceException extends RuntimeException{

    protected int statusCode;


    public EvidenceException() {
    }

    public EvidenceException(int statusCode, String message, Throwable cause) {
        this(message, cause);
        this.statusCode = statusCode;
    }

    public EvidenceException(int statusCode, String message) {
        super(message);
        this.statusCode = statusCode;
    }

    public EvidenceException(String message, Throwable cause) {
        super(message, cause);
    }

    public int getStatusCode() {
        return this.statusCode;
    }

    public void setStatusCode(int statusCode) {
        this.statusCode = statusCode;
    }

    public EvidenceException(String message) {
        super(message);
    }

    public EvidenceException(Throwable cause) {
        super(cause);
    }
}
