package com.dragoninfo.dcuc.authweb.restcontroller.admin.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "配置管理员管理范围Vo")
public class AdminVo {
    @ApiModelProperty(value = "(orgId:status) status: -1:子节点未展开或无子节点,0:未勾选子节点,1:勾选部分子节点,2:勾选全部子节点")
    String orgIds;
    @ApiModelProperty(value = "用戶id")
    String userId;
    @ApiModelProperty(value = "菜单ids")
    String menuIds;
    @ApiModelProperty(value = " “”（默认为空）：修改管理员范围时 ; “TEMP”：新增管理员范围时")
    String type;
}
