package com.dragoninfo.dcuc.authweb.restcontroller.api.authservice.v1.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author mazq
 * @date 2021/5/13
 */
@ApiModel(value = "服务授权申请重复校验参数Vo")
@Data
public class AuthFlowRepeatCheckVo {

    @ApiModelProperty(value = "申请方编码（应用编码）")
    private String appCode;

    @ApiModelProperty(value = "访问资源编码集合（服务编码集合）")
    private List<String> serviceCodes;


}
