package com.dragoninfo.dcuc.authweb.restcontroller.api.authservice.v1.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2023/3/3
 */
@ApiModel("用户角色设置请求")
@Data
public class UserRoleAuthReqVO {

    @NotBlank
    @ApiModelProperty("应用代码")
    private String appCode;

    @ApiModelProperty("用户身份证号")
    @NotBlank
    private String idcard;

    @ApiModelProperty("角色代码，可设置多个，空为取消角色授权")
    private List<String> roleCodeList;

}
