package com.dragoninfo.dcuc.authweb.restcontroller.api.authservice.v1.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 审批服务审批响应结果Vo
 * @author mazq
 * @date 2021/2/23
 */
@ApiModel(value = "工单审批结果处理vo")
@Data
public class WorkFlowResutlAcceptVo {
    private String id;
    /**
     * 工作流状态
     */
    @ApiModelProperty(value = "工作流审批状态")
    private String approveResult;
    /**
     * 工作流id
     */
    @ApiModelProperty(value = "工作流id")
    private String processInstanceId;
    /**
     * 内部消息id
     */
    @ApiModelProperty(value = "内部消息id")
    private String messageId;
    /**
     * 详细说明
     */
    @ApiModelProperty(value = "处理结果详细说明")
    private String desc;
}
