package com.dragoninfo.dcuc.authweb.restcontroller.api.controller.pojo;

import com.dragoninfo.dcuc.authweb.annotation.RequiredField;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * Created by Administrator on 2019/6/27.
 */
public class ApplyInfoPojo {
    private String id;
    //应用名称
    @RequiredField
    private String applyName;

    //调用接口人员身份证
    @RequiredField
    private String sfz;

    //应用代码
    private String applyCode;

    //应用类别
    @RequiredField
    private String applyCategory;

    //所属业务警种
    @RequiredField
    private String policeSpecies;

    //所属单位id
    @RequiredField
    private String orgId;

    //所属单位名称
    private String orgName;

    @RequiredField
    private String orgCode;

    //排序号
    private String sort;

    //应用URL
    private String applyUrl;

    //厂商ID
    private String manufacturerId;

    //应用厂商
    @RequiredField
    private String manufacturerName;

    //厂商代码
    @RequiredField
    private String manufacturerCode;

    //应用状态(0启用，1停用)
    private String applyStatus;

    //应用管理员
    private String managerName;

    //管理员联系电话
    private String managerPhone;

    //应用描述
    private String managerDescribe;

    //API_KEY
    private String apiKey;

    //SECRET_KEY
    private String secretKey;

    //应用负责人
    @RequiredField
    private String fzr;

    //负责人电话
    @RequiredField
    private String fzrPhone;

    //应用图标
    private String applyIcon;

    //图标颜色
    private String iconColor;

    //删除(0否，1是)
    private String deleted;

    @DateTimeFormat(pattern = "yyyyMMdd")
    private Date registrationTime;


    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getManufacturerId() {
        return manufacturerId;
    }

    public void setManufacturerId(String manufacturerId) {
        this.manufacturerId = manufacturerId;
    }

    public String getManufacturerName() {
        return manufacturerName;
    }

    public void setManufacturerName(String manufacturerName) {
        this.manufacturerName = manufacturerName;
    }

    public Date getRegistrationTime() {
        return registrationTime;
    }

    public void setRegistrationTime(Date registrationTime) {
        this.registrationTime = registrationTime;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getApplyName() {
        return applyName;
    }

    public void setApplyName(String applyName) {
        this.applyName = applyName;
    }

    public String getApplyCode() {
        return applyCode;
    }

    public void setApplyCode(String applyCode) {
        this.applyCode = applyCode;
    }

    public String getApplyCategory() {
        return applyCategory;
    }

    public void setApplyCategory(String applyCategory) {
        this.applyCategory = applyCategory;
    }

    public String getPoliceSpecies() {
        return policeSpecies;
    }

    public void setPoliceSpecies(String policeSpecies) {
        this.policeSpecies = policeSpecies;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getSort() {
        return sort;
    }

    public void setSort(String sort) {
        this.sort = sort;
    }

    public String getApplyUrl() {
        return applyUrl;
    }

    public void setApplyUrl(String applyUrl) {
        this.applyUrl = applyUrl;
    }

    public String getApplyStatus() {
        return applyStatus;
    }

    public void setApplyStatus(String applyStatus) {
        this.applyStatus = applyStatus;
    }

    public String getManagerName() {
        return managerName;
    }

    public void setManagerName(String managerName) {
        this.managerName = managerName;
    }

    public String getManagerPhone() {
        return managerPhone;
    }

    public void setManagerPhone(String managerPhone) {
        this.managerPhone = managerPhone;
    }

    public String getManagerDescribe() {
        return managerDescribe;
    }

    public void setManagerDescribe(String managerDescribe) {
        this.managerDescribe = managerDescribe;
    }

    public String getApiKey() {
        return apiKey;
    }

    public void setApiKey(String apiKey) {
        this.apiKey = apiKey;
    }

    public String getSecretKey() {
        return secretKey;
    }

    public void setSecretKey(String secretKey) {
        this.secretKey = secretKey;
    }

    public String getApplyIcon() {
        return applyIcon;
    }

    public void setApplyIcon(String applyIcon) {
        this.applyIcon = applyIcon;
    }

    public String getDeleted() {
        return deleted;
    }

    public void setDeleted(String deleted) {
        this.deleted = deleted;
    }

    public String getFzr() {
        return fzr;
    }

    public void setFzr(String fzr) {
        this.fzr = fzr;
    }

    public String getFzrPhone() {
        return fzrPhone;
    }

    public void setFzrPhone(String fzrPhone) {
        this.fzrPhone = fzrPhone;
    }

    public String getIconColor() {
        return iconColor;
    }

    public void setIconColor(String iconColor) {
        this.iconColor = iconColor;
    }

    public String getManufacturerCode() {
        return manufacturerCode;
    }

    public void setManufacturerCode(String manufacturerCode) {
        this.manufacturerCode = manufacturerCode;
    }

    public String getSfz() {
        return sfz;
    }

    public void setSfz(String sfz) {
        this.sfz = sfz;
    }

    @Override
    public String toString() {
        return "ApplyInfo{" +
                "id='" + id + '\'' +
                ", applyName='" + applyName + '\'' +
                ", applyCode='" + applyCode + '\'' +
                ", applyCategory='" + applyCategory + '\'' +
                ", policeSpecies='" + policeSpecies + '\'' +
                ", orgId='" + orgId + '\'' +
                ", orgName='" + orgName + '\'' +
                ", sort='" + sort + '\'' +
                ", applyUrl='" + applyUrl + '\'' +
                ", manufacturerId='" + manufacturerId + '\'' +
                ", manufacturerName='" + manufacturerName + '\'' +
                ", manufacturerCode='" + manufacturerCode + '\'' +
                ", applyStatus='" + applyStatus + '\'' +
                ", managerName='" + managerName + '\'' +
                ", managerPhone='" + managerPhone + '\'' +
                ", managerDescribe='" + managerDescribe + '\'' +
                ", apiKey='" + apiKey + '\'' +
                ", secretKey='" + secretKey + '\'' +
                ", fzr='" + fzr + '\'' +
                ", fzrPhone='" + fzrPhone + '\'' +
                ", applyIcon='" + applyIcon + '\'' +
                ", iconColor='" + iconColor + '\'' +
                ", deleted='" + deleted + '\'' +
                ", registrationTime=" + registrationTime + '\'' +
                '}';
    }
}
