package com.dragoninfo.dcuc.authweb.restcontroller.api.controller.pojo;

import com.dragoninfo.dcuc.auth.auth.vo.AppFunVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * 接口更新同步应用资源
 * 接收参数
 *
 * @author huangzqa
 */
@ApiModel(value = "同步应用资源")
public class UpdataAppFunVO implements Serializable {
    /**
     * 同步的应用代码
     */
    @ApiModelProperty(value = "同步的应用代码")

    private String appCode;
    /**
     * 同步的应用资源信息
     */
    @ApiModelProperty(value = "同步的应用资源信息")
    private List<AppFunVO> resources;

    public String getAppCode() {
        return appCode;
    }

    public void setAppCode(String appCode) {
        this.appCode = appCode;
    }

    public List<AppFunVO> getResources() {
        return resources;
    }

    public void setResources(List<AppFunVO> resources) {
        this.resources = resources;
    }
}