package com.dragoninfo.dcuc.authweb.restcontroller.app.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 资源展示对象父类
 * @author mazq
 * @Description
 * @create 2020-11-25 14:21
 */
@Data
@ApiModel(value = "资源展示对象父类")
public class ResourceVo {

    @ApiModelProperty(value = "id")
    private String id;
    /**
     * 资源枚举类-资源id
     */
    @ApiModelProperty(value = "资源枚举类-资源id")
    private String resourceId;

    /**
     * 资源枚举类-资源类型
     */
    @ApiModelProperty(value = "资源枚举类-资源类型")
    private String resourceType;

    /**
     * 资源枚举类-资源提供方
     */
    @ApiModelProperty(value = "资源枚举类-资源提供方")
    private String resourceProvider;
    /**
     * 建设单位id（orgId）
     */
    @ApiModelProperty(value = "建设单位id（orgId）")
    private String buildUnitId;

    /**
     * 建设单位编码（orgCode）
     */
    @ApiModelProperty(value = "建设单位编码（orgCode）")
    private String buildUnitCode;

    /**
     * 建设单位名称
     */
    @ApiModelProperty(value = "建设单位名称")
    private String buildUnit;

    /**
     * 建设单位负责人
     */
    @ApiModelProperty(value = "建设单位负责人")
    private String buildPrincipal;

    /**
     * 建设单位负责人电话
     */
    @ApiModelProperty(value = "建设单位负责人电话")
    private String buildPrincipalPhone;
}
