package com.dragoninfo.dcuc.authweb.restcontroller.app.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 服务资源展示Vo
 * @author mazq
 * @Description
 * @create 2020-11-25 14:21
 */
@Data
@ApiModel(value = "服务资源Vo")
public class ServiceResourceBaseVo extends ResourceVo {

    /**
     * 服务在用状态
     */
    @ApiModelProperty(value = "服务在用状态")
    private String serviceStatus;
    /**
     * 服务编码
     */
    @ApiModelProperty(value = "服务编码")
    private String serviceCode;
    /**
     * 服务名称
     */
    @ApiModelProperty(value = "服务名称")
    private String serviceName;
}
