package com.dragoninfo.dcuc.authweb.restcontroller.audit.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;



@ApiModel(value = "登录审计Vo")
@Data
public class DcucGaLoginLogVo {

    //编号
    private String id;

    @ApiModelProperty(value = "id",required = true)
    private Long numId;

    @ApiModelProperty(value = "应用系统id")
    private String regId;

    /** 用户idcard **/
    @ApiModelProperty(value = "用户idcard")
    private String userId;

    /** 机构名称 **/
    @ApiModelProperty(value = "机构名称")
    private String organization;

    /** 机构代码code **/
    @ApiModelProperty(value = "机构代码code")
    private String organizationId;

    /** 用户名称username **/
    @ApiModelProperty(value = "用户名称username")
    private String userName;

    /** 登录时间 YYYYMMddHHmmss **/
    @ApiModelProperty(value = "登录时间")
    private String operateTime;

    /** 登录IP **/
    @ApiModelProperty(value = "登录IP")
    private String terminalId;

    /**  **/
    @ApiModelProperty(value = "操作类型")
    private Integer operateType;

    /**  **/
    @ApiModelProperty(value = "操作结果")
    private String operateResult;

    @ApiModelProperty(value = "失败原因代码")
    private String errorCode;

    @ApiModelProperty(value = "功能模块名称")
    private String operateName;

    /** 登录方式 **/
    @ApiModelProperty(value = "操作条件")
    private String operateCondition;

}
