package com.dragoninfo.dcuc.authweb.restcontroller.auth.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author mazq
 * @date 2021/7/13
 */
@ApiModel(value = "应用功能全量树Vo")
@Data
public class AppFunTreeVo {

    @ApiModelProperty(value = "主键id")
    private String id;

    @ApiModelProperty(value = "父节点id")
    private String pid;

    @ApiModelProperty(value = "节点名称")
    private String label;

    @ApiModelProperty(value = "资源code")
    private String code;

    @ApiModelProperty(value = "是否是树节点")
    private Boolean isTreeNode;

    @ApiModelProperty(value = "节点类型")
    private String type;

    @ApiModelProperty(value = "功能所属应用id")
    private String appId;

    @ApiModelProperty(value = "子节点集合")
    private List<AppFunTreeVo> child;

}
