package com.dragoninfo.dcuc.authweb.restcontroller.auth.vo;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(value = "应用功能资源Vo")
@Data
public class ApplicationInfoVo {
    /**应用ID*/
    @ApiModelProperty(value = "应用ID")
    private String id;

    /**应用系统编号*/
    @ApiModelProperty(value = "应用系统编号")
    private String code;

    /**应用名称*/
    @ApiModelProperty(value = "应用名称")
    private String name;

    /**应用简称*/
    @ApiModelProperty(value = "应用简称")
    private String alias;

    /**应用所属机构*/
    @ApiModelProperty(value = "应用所属机构")
    private String appOrgId;

    /**应用系统菜单数*/
    @ApiModelProperty(value = "应用系统菜单数")
    private Long menus;

    /**应用系统角色数*/
    @ApiModelProperty(value = "应用系统角色数")
    private Long roles;

    /**分配初始名额*/
    @ApiModelProperty(value = "分配初始名额")
    private Long initquotas;

    /**已分配名额*/
    @ApiModelProperty(value = "已分配名额")
    private Long quotaed;

    /**待分配(可分配)名额*/
    @ApiModelProperty(value = "待分配(可分配)名额")
    private Long leavequotas;
}
