package com.dragoninfo.dcuc.authweb.restcontroller.auth.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(value = "应用功能资源Vo")
@Data
public class OrgQuotaOperateVo {

    @ApiModelProperty(value = "应用id")
    private String appId;
    @ApiModelProperty(value = "角色id")
    private String roleId;
    @ApiModelProperty(value = "目标机构id")
    private String targetOrgId;
    @ApiModelProperty(value = "上级机构id")
    private String upOrgId;
    @ApiModelProperty(value = "当前应用所属机构id")
    private String appOrgId;
    @ApiModelProperty(value = "初始分配名额")
    private Integer initNum;
    @ApiModelProperty(value = "旧的初始分配名额")
    private Integer initNumOld;
    @ApiModelProperty(value = "顶部机构id")
    private String rootId;
    @ApiModelProperty(value = "机构类别")
    private String unitClass;
    @ApiModelProperty(value = "角色层级")
    private String roleLevel;
    @ApiModelProperty(value = "目标机构层级")
    private String targetOrgLevel;
    @ApiModelProperty(value = "下发数量")
    private Integer addNum;

}
