
package com.dragoninfo.dcuc.authweb.restcontroller.auth.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;


@ApiModel(value = "人员拥有权限信息Vo")
@Data
public class StaffAssignAuthInfoVo {

	//ID
	@ApiModelProperty(value = "id")
	private String id;

	//应用ID
	@ApiModelProperty(value = "应用ID")
	private String appId;

	//角色ID
	@ApiModelProperty(value = "角色ID")
	private String roleId;

	//人员ID
	@ApiModelProperty(value = "人员ID")
	private String staffId;

	//人员所属机构ID
	@ApiModelProperty(value = "人员所属机构ID")
	private String staffOrgId;

	//操作管理员ID
	@ApiModelProperty(value = "操作管理员ID")
	private String managerId;

	//操作管理员所属机构ID
	@ApiModelProperty(value = "操作管理员所属机构ID")
	private String mgeOrgId;

	//状态 10：新建 90：取消
	@ApiModelProperty(value = "状态 10：新建 90：取消")
	private String status;

	//有效期
	@ApiModelProperty(value = "有效期")
	@JsonFormat(pattern = "yyyyMMdd", timezone = "GMT+8")
	private String activeTime;

	//创建时间
	@ApiModelProperty(value = "创建时间")
	@JsonFormat(pattern = "yyyyMMdd", timezone = "GMT+8")
	private Date createTime;

	@ApiModelProperty(value = "应用名称")
	private String appName;

	@ApiModelProperty(value = "角色名称")
	private String roleName;

}

