package com.dragoninfo.dcuc.authweb.restcontroller.auth.vo;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(value = "保存修改人员操作vo")
public class StaffOperateVo {
    @ApiModelProperty(value = "人员id")
    private String userId;
    @ApiModelProperty(value = "机构id")
    private String orgId;
    @ApiModelProperty(value = "需要保存的角色信息")
    private List<RoleInfoVo> saveIds;
    @ApiModelProperty(value = "需要删除的角色信息")
    private List<RoleInfoVo> deleteIds;
}
