package com.dragoninfo.dcuc.authweb.restcontroller.auth.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(value = "授权保存修改操作vo")
public class StaffRoleOperateVo {

    @ApiModelProperty(value = "角色id",required = true)
    private String roleId;
    @ApiModelProperty(value = "机构id",required = true)
    private String orgId;
    @ApiModelProperty(value = "新增授权用户id集合,包含修改过有效的人员id",required = true)
    private List<String> addUserIds;
    @ApiModelProperty(value = "删除授权用户id集合",required = true)
    private List<String> delUserIds;
    @ApiModelProperty(value = "修改了有效期的授权集合,包括新增中修改了有效期的授权")
    private List<UserRoleAuthInfoVo> updateUsers;
}
