package com.dragoninfo.dcuc.authweb.restcontroller.auth.vo.data;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author mazq
 * @date 2021/4/15
 */
@Data
@ApiModel(value = "拥有的数据权限Vo")
public class DataClassifyVo {
    @ApiModelProperty(value = "id,分级分类唯一标识")
    private String id;
    @ApiModelProperty(value = "分级分类名称")
    private String label;
    @ApiModelProperty(value = "分级分类code值")
    private String code;
    @ApiModelProperty(value = "数据属性类型 TABLE：表 COLUMN：列")
    private String attrType;
    @ApiModelProperty(value = "分级分类下被勾选的叶子节点对象集合")
    private List<SubDataVo> tickedDatas;
}
