package com.dragoninfo.dcuc.authweb.restcontroller.auth.vo.data;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author mazq
 * @date 2021/4/19
 */
@ApiModel(value = "查询条件")
@Data
@NoArgsConstructor
public class DataDetailConditionVo {

    @ApiModelProperty(value = "目录名称，模糊查询")
    private String resourceName;

    @ApiModelProperty(value = "规范数据项集名称和数据对象中文名称模糊查询")
    private String keyword;

    @ApiModelProperty(value = "表级数据类别，精确查询，多个条件间关系为AND")
    private List<ResourceTypeQueryVo> resourceTypes;
}
