package com.dragoninfo.dcuc.authweb.restcontroller.list.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author mazq
 * @date 2021/7/9
 */
@ApiModel(value = "白名单操作Vo")
@Data
public class WhiteListOperateVo {

    @ApiModelProperty(value = "白名单等级")
    private String level;

    @ApiModelProperty(value = "主体类型")
    private String subType;

    @ApiModelProperty(value = "主体id集合")
    private List<String> subIds;

    @ApiModelProperty(value = "白名单记录id")
    private List<String> listIds;
}
