package com.dragoninfo.dcuc.authweb.restcontroller.login;

import com.alibaba.fastjson.JSONObject;
import com.dragoninfo.dcuc.auth.token.facade.IAuthTokenFacade;
import com.dragoninfo.dcuc.auth.token.vo.TokenOnlineReqVo;
import com.dragoninfo.dcuc.auth.token.vo.TokenOnlineRespVo;
import com.dragoninfo.duceap.core.response.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author mazq
 * @date 2023/6/21
 */
@RestController
@RequestMapping(value = "authsvr/v2/token-info")
public class TokenInfoController {

    @Autowired
    private IAuthTokenFacade tokenFacade;

    @PostMapping("online-query")
    public Result<TokenOnlineRespVo> tokenOnlineQuery(@RequestBody TokenOnlineReqVo reqVo) {
        TokenOnlineRespVo tokenOnlineRespVo = tokenFacade.tokenOnlineQuery(reqVo);
        return Result.success(tokenOnlineRespVo);
    }

}
