package com.dragoninfo.dcuc.authweb.restcontroller.selfauth.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author mazq
 * @date 2021/7/14
 */
@ApiModel(value = "应用功能申请详情Vo")
@Data
public class FunApplyDetailVo {

    @ApiModelProperty(value = "工单详情")
    private WorkFlowVo workFlow;

    @ApiModelProperty(value = "申请授权资源Vo集合")
    private List<AppFunAuthResourceVo> resourceInfos;

    @ApiModelProperty(value = "申请撤销授权资源Vo集合")
    private List<AppFunAuthResourceVo> delResourceInfos;

    @ApiModelProperty(value = "已通过授权的资源Vo集合")
    private List<AppFunAuthResourceVo> existResourceInfos;

    @ApiModelProperty(value = "工作流流程图详情 由审批中心提供")
    private FlowPictureVo flowPictureInfo;

    @ApiModelProperty(value = "工作流流程状态详情 由审批中心提供")
    private FlowStatusVo flowStatusInfo;

}
