package com.dragoninfo.dcuc.authweb.restcontroller.selfauth.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author mazq
 * @date 2021/7/20
 */
@ApiModel(value = "流程状态Vo")
@Data
public class ProcessStatusVo {

    @ApiModelProperty(value = "节点ID")
    private String nodeId;

    @ApiModelProperty(value = "节点名称")
    private String nodeName;

    @ApiModelProperty(value = "操作者总计")
    private Integer operatorSummary;

    @ApiModelProperty(value = "已办")
    private Integer finishOperatorSummary;

    @ApiModelProperty(value = "列表详情集合")
    private List<ProcessTaskVo> taskVos;
}
