package com.dragoninfo.dcuc.authweb.restcontroller.sub.vo.data;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @author mazq
 * @date 2021/5/25
 */
@ApiModel(value = "数据资源分类Vo")
@NoArgsConstructor
@Data
public class DataClaVo {

    @ApiModelProperty(value = "主键id")
    private String id;

    @ApiModelProperty(value = "一级id")
    private String firId;

    @ApiModelProperty(value = "二级id")
    private String secId;

    @ApiModelProperty(value = "标签分类id")
    private String labClaId;

    @ApiModelProperty(value = "码值")
    private String code;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "层级")
    private String level;

    @ApiModelProperty(value = "分类类型 一级分类 二级分类 标签分类 标签")
    private String type;

    @ApiModelProperty(value = "说明")
    private String remark;

    @ApiModelProperty(value = "是否删除")
    private String deleted;


    public DataClaVo(String code, String name, String level, String type) {
        this.code = code;
        this.name = name;
        this.level = level;
        this.type = type;
    }
}
