package com.dragoninfo.dcuc.authweb.restcontroller.sub.vo.org;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author mazq
 * 树节点Vo
 */
@ApiModel(value = "机构树节点Vo")
@Data
public class OrgTreeNodeVo {
    @ApiModelProperty(value = "主键id")
    private String id;

    @ApiModelProperty(value = "机构代码")
    private String code;

    @ApiModelProperty(value = "机构名称")
    private String name;

    @ApiModelProperty(value = "上级id")
    private String pid;

    @ApiModelProperty(value = "路径")
    private String path;

    @ApiModelProperty(value = "是否是父节点")
    private Boolean isParent;

    @ApiModelProperty(value = "勾选状态")
    private String checked;

    @ApiModelProperty(value = "子节点id")
    private List<String> childIds;

}
