package com.dragoninfo.dcuc.authweb.restcontroller.sub.vo.org;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 机构数查询对象实体类
 * @author mazq
 * @date 2021/6/7
 */
@Data
@ApiModel
public class TreeReqVo {

    @ApiModelProperty(value = "id,本级树节点id,第一次查询可为空")
    private String id;

    @ApiModelProperty(value = "机构树类型 (ORG：机构管理范围 USER:用户管理范围 APP:权限管理范围 MGE:管理员管理范围 )")
    private String mtType;

    @ApiModelProperty(value = "搜索关键词")
    private String name;

    @ApiModelProperty(value = "分页页码")
    private Integer pageNum;

    @ApiModelProperty(value = "页面数量")
    private Integer pageSize;

}
