package com.dragoninfo.dcuc.authweb.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Length;

import java.util.List;

/**
 * 资源
 * @Author yica
 * @Date 2021/1/19 9:51
 **/
@ApiModel(value = "资源vo")
public class AuthManagerRes {
   /* 应用code*/
   @ApiModelProperty(value = "应用code")
    private String appCode;

    /* IDCARD*/
    @Length(max = 10, min = 5, message = "username length must between 5 and 10")
    @ApiModelProperty(value = "应用code")
    private String idcard;
    @ApiModelProperty(value = "资源详细")
    private List<AuthResourceVo> functions;

    public String getAppCode() {
        return appCode;
    }

    public void setAppCode(String appCode) {
        this.appCode = appCode;
    }

    public List<AuthResourceVo> getFunctions() {
        return functions;
    }

    public void setFunctions(List<AuthResourceVo> functions) {
        this.functions = functions;
    }

    public String getIdcard() {
        return idcard;
    }

    public void setIdcard(String idcard) {
        this.idcard = idcard;
    }
}
