package com.dragoninfo.dcuc.authweb.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;

/**
 * @Author yica
 * @Date 2021/2/22 13:45
 **/
@ApiModel(value = "服务鉴权请求参数")
@Data
public class ServiceAuthenticationReq {
    /*资源code*/
    @ApiModelProperty(value = "服务code")
    private String serviceCode;
    /*资源名称*/
    @ApiModelProperty(value = "应用code",required = true)
    private String appCode;

    @ApiModelProperty(value = "身份证")
    private String idcard;
}
