import cn.hutool.core.date.DateTime;
import cn.hutool.core.date.DateUtil;
import com.auth0.jwt.JWT;
import com.auth0.jwt.JWTCreator;
import com.auth0.jwt.algorithms.Algorithm;
import com.dragonsoft.duceap.commons.util.date.DateUtils;
import org.junit.Test;

import java.util.Date;

/**
 * @author huangzqa
 * @date 2021/4/8
 **/
public class GenerateToken {

    @Test
    public void getUserToken() {
        DateTime date = DateUtil.date();

        DateTime dateTime = DateUtil.offsetDay(date, 1);

        Algorithm algorithm = Algorithm.HMAC256("secret");
        JWTCreator.Builder builder = JWT.create().withExpiresAt(dateTime).withIssuedAt(date);

        builder.withClaim("idCard", "379004198203211208");

        String sign = builder.sign(algorithm);

        System.out.println(sign);

    }

}
