package com.dragoninfo.dcuc.auth.auth.dto;

import lombok.Data;

import java.util.Date;

/**
 * 权限申请工单列表DTO
 * @author mazq
 * @date 2021/7/14
 */
@Data
public class WorkFlowPageViewDTO {

    /**
     * 主键id
     */
    private String id;

    /**
     * 审批单标题
     */
    private String flowTitle;

    /**
     * 审批类型
     */
    private String applyType;

    /**
     * 未操作者
     */
    private String dealOperator;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 当前节点
     */
    private String taskName;

    /**
     * 流程审批单号
     */
    private String applyOrdNo;

    /**
     * 是否可撤回
     */
    private Boolean showRecall;

    /**
     * 是否可挂起
     */
    private Boolean showSuspend;

    /**
     * 是否可激活
     */
    private Boolean showActivate;

    /**
     * 是否可终止
     */
    private Boolean showStop;

    /**
     * 是否可退回
     */
    private Boolean showBack;

    /**
     * 是否可编辑
     */
    private Boolean showEdit;

    /**
     * 流程状态
     * todo： 临时用，需修改
     */
    private String flowStatus;


}
