package com.dragoninfo.dcuc.authweb.config;

import com.dragoninfo.dcuc.authweb.interceptor.FeignHeadInterceptor;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * feign调用后端服务拦截器配置
 * @author mazq
 * @date 2021/7/29
 */
@Configuration
public class FeignRequestConfig {

    @Bean
    public FeignHeadInterceptor feignHeadInterceptor() {
        return  new FeignHeadInterceptor();
    }

}
