package com.dragoninfo.dcuc.authweb.enums;

import com.dragonsoft.duceap.base.enums.ICodeEnum;

/**
 * @author huangzqa
 * @date 2021/4/6
 **/
public enum CheckTypeEnum implements ICodeEnum {
    /**
     * 无凭据
     */
    NONE("none", "无凭据"),

    /**
     * 基本凭据
     */
    BASE("base", "基本凭据"),

    /**
     * 令牌凭据
     */
    TOKEN("token", "令牌凭据");


    private String value;

    private String label;

    CheckTypeEnum(String value, String label) {
        this.value = value;
        this.label = label;
    }


    @Override
    public String getValue() {
        return this.value;
    }

    @Override
    public String getLabel() {
        return this.label;
    }
}
