package com.dragoninfo.dcuc.authweb.restcontroller.api.authservice.v1.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author mazq
 * @date 2021/2/24
 */
@ApiModel(value = "资源信息")
@Data
public class ResourceInfoVo {

    /**
     * 应用编码
     */
    @ApiModelProperty(value = "申请方编码")
    @NotBlank
    private String visitorCode;

    /**
     * 申请方名称
     */
    @ApiModelProperty(value = "申请方名称")
    @NotBlank
    private String visitorName;

    /**
     * 访问资源编码
     */
    @ApiModelProperty(value = "访问资源编码")
    @NotBlank
    private String visitResourceCode;

    /**
     * 访问资源名称
     */
    @ApiModelProperty(value = "访问资源名称")
    @NotBlank
    private String visitResourceName;

}
