//package com.dragoninfo.dcuc.authweb.restcontroller.api.controller;
//
//import com.dragoninfo.dcuc.app.entity.ApplyInfo;
//import com.dragoninfo.dcuc.app.entity.ManufacturerInfo;
//import com.dragoninfo.dcuc.app.facade.IApplyInfoFacade;
//import com.dragoninfo.dcuc.app.facade.IManufacturerInfoFacade;
//import com.dragoninfo.dcuc.auth.auth.enumresources.YesNotEnum;
//import com.dragoninfo.dcuc.authweb.restcontroller.api.controller.pojo.ApplyInfoPojo;
//import com.dragoninfo.dcuc.authweb.restcontroller.api.controller.pojo.ManufacturerInfoPojo;
//import com.dragoninfo.dcuc.authweb.util.AnnotationUtils;
//import com.dragoninfo.dcuc.org.entity.OrgInfo;
//import com.dragoninfo.dcuc.org.facade.IOrgInfoFacade;
//import com.dragoninfo.dcuc.user.user.entity.UserContact;
//import com.dragoninfo.dcuc.user.user.entity.UserInfo;
//import com.dragoninfo.dcuc.user.user.enumresources.ContactTypeEnum;
//import com.dragoninfo.dcuc.user.user.facade.IUserInfoFacade;
//import com.dragonsoft.duceap.base.entity.http.ResponseDTO;
//import com.dragonsoft.duceap.base.entity.http.ResponseStatus;
//import com.dragonsoft.duceap.base.entity.security.SecurityUser;
//import com.dragonsoft.duceap.commons.util.ObjectUtils;
//import com.dragonsoft.duceap.commons.util.bean.BeanUtils;
//import com.dragonsoft.duceap.commons.util.collections.CollectionUtils;
//import org.apache.commons.lang.StringUtils;
//import org.apache.commons.lang.math.RandomUtils;
//import org.slf4j.Logger;
//import org.slf4j.LoggerFactory;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.stereotype.Controller;
//import org.springframework.web.bind.annotation.RequestMapping;
//import org.springframework.web.bind.annotation.ResponseBody;
//
//import javax.servlet.http.HttpServletRequest;
//import javax.servlet.http.HttpSession;
//import java.util.Date;
//import java.util.HashMap;
//import java.util.List;
//import java.util.Map;
//
///**
// *
// * @author Administrator
// * @date 2019/6/26
// */
//@Controller
//@RequestMapping("/api/")
//public class ImportApiController {
//    public static final Logger logger = LoggerFactory.getLogger(ImportApiController.class);
//    @Autowired
//    private IManufacturerInfoFacade manufacturerInfoFacade;
//    @Autowired
//    private IApplyInfoFacade applyInfoFacade;
//    @Autowired
//    private IUserInfoFacade iUserInfoFacade;
//
//    @Autowired
//    private IOrgInfoFacade iOrgInfoFacade;
//
//    @RequestMapping(value = "save/manufacturer")
//    @ResponseBody
//    public ResponseStatus saveCompany(ManufacturerInfoPojo manufacturerInfoPojo, HttpServletRequest request) {
//        //校验参数   checkParam(Entity  entity )
//        //返回结果
//        HttpSession session = request.getSession();
//        try {
//            String result = AnnotationUtils.checkFields(manufacturerInfoPojo);
//            if (StringUtils.isNotBlank(result)) {
//                return ResponseStatus.fail("304", result);
//            }
//            if (isManufacturerExist(manufacturerInfoPojo.getCode(), manufacturerInfoPojo.getManufacturerName())) {
//                return ResponseStatus.fail("400", "厂商已存在");
//            }
//            if (isManufacturerName(manufacturerInfoPojo.getManufacturerName())) {
//                return ResponseStatus.fail("401", "厂商名称已被创建");
//            }
//            if (isCodeExist(manufacturerInfoPojo.getCode())) {
//                return ResponseStatus.fail("402", "组织机构代码(厂商代码)已存在");
//            }
//            ManufacturerInfo manufacturerInfo = new ManufacturerInfo();
//            BeanUtils.copyProperties(manufacturerInfo, manufacturerInfoPojo);
//            manufacturerInfo.setDeleted(YesNotEnum.NO.getValue());
//            UserInfo user = getUserBySFZ(manufacturerInfoPojo.getSfz());
//            if (user == null || ObjectUtils.isEmpty(user)) {
//                return ResponseStatus.fail("305", "用户不存在！" + "身份证号:" + manufacturerInfoPojo.getSfz());
//            }
//            SecurityUser securityUser = getSecurityUser(user);
//            session.setAttribute("securityUserSessionId", securityUser);
//            manufacturerInfoFacade.saveManufacturer(manufacturerInfo);
//        } catch (Exception e) {
//            logger.error(e.getMessage(), e);
//            return ResponseStatus.fail("保存异常");
//        } finally {
//            session.invalidate();
//        }
//        return ResponseStatus.success("保存成功");
//    }
//
//    @RequestMapping("save/apply")
//    @ResponseBody
//    public ResponseDTO saveApply(ApplyInfoPojo applyInfoPojo, HttpServletRequest request) {
//        HttpSession session = request.getSession();
//        try {
//            String result = AnnotationUtils.checkFields(applyInfoPojo);
//            if (StringUtils.isNotBlank(result)) {
//                return new ResponseDTO("304", result, "");
//            }
//            OrgInfo orgInfo = iOrgInfoFacade.detail(applyInfoPojo.getOrgId());
//            if (orgInfo == null || ObjectUtils.isEmpty(orgInfo)) {
//                return new ResponseDTO("104", "机构不存在", "");
//            }
//            ManufacturerInfo manufacturerInfo = getManufacturer(applyInfoPojo.getManufacturerName(), applyInfoPojo.getManufacturerCode());
//            if (null == manufacturerInfo) {
//                return new ResponseDTO("404", "厂商不存在", "");
//            }
//            if (isApplyExist(applyInfoPojo.getApplyName(), manufacturerInfo.getId())) {
//                return new ResponseDTO("500", "应用已存在", "");
//            }
//            if (isApplyNameExist(applyInfoPojo.getApplyName())) {
//                return new ResponseDTO("501", "应用名称已被使用", "");
//            }
//            String applyCode = newApplyCode(applyInfoPojo.getOrgCode().substring(0, 6));
//            UserInfo user = getUserBySFZ(applyInfoPojo.getSfz());
//            if (user == null || ObjectUtils.isEmpty(user)) {
//                return new ResponseDTO("305", "用户不存在" + "身份证号:" + applyInfoPojo.getSfz(), "");
//            }
//            SecurityUser securityUser = getSecurityUser(user);
//            session.setAttribute("securityUserSessionId", securityUser);
//            applyInfoPojo.setManufacturerId(manufacturerInfo.getId());
//            ApplyInfo applyInfo = new ApplyInfo();
//            BeanUtils.copyProperties(applyInfo, applyInfoPojo);
//            applyInfo.setOrgName(orgInfo.getFullName());
//            applyInfo.setSort(applyInfoFacade.getNewSort());
//            applyInfo.setRegistrationTime(new Date());
//            applyInfo.setDeleted(YesNotEnum.NO.getValue());
//            applyInfo.setApplyStatus(YesNotEnum.NO.getValue());
//            applyInfo.setApplyCode(applyCode);
//            applyInfo.setApiKey(getName(applyCode));
//            applyInfo.setSecretKey(getName(applyCode));
//            /* iApplyInfoFacade.saveAppIy(applyInfo, null, null);*/
//            return new ResponseDTO("200", "保存成功", applyInfo.getApplyCode());
//        } catch (Exception e) {
//            logger.error(e.getMessage(), e);
//            return new ResponseDTO("300", "保存异常", "");
//        } finally {
//            session.invalidate();
//        }
//    }
//
//    private boolean isManufacturerName(String mName) {
//        ManufacturerInfo manufacturerInfo = manufacturerInfoFacade.getOneByName(mName);
//
//        return manufacturerInfo != null;
//    }
//
//    /**
//     * 验证厂商代码是否已经存在
//     *
//     * @param code 厂商代码
//     * @return true:存在 false:不存在
//     */
//    private boolean isCodeExist(String code) {
//        ManufacturerInfo manufacturerInfo = manufacturerInfoFacade.detailByCode(code);
//
//        return manufacturerInfo != null;
//    }
//
//    private boolean isManufacturerExist(String code, String manufacturerName) {
//
//        ManufacturerInfo manufacturerInfo = manufacturerInfoFacade.getOneByCodeName(code, manufacturerName);
//
//        return manufacturerInfo != null;
//    }
//
//    private boolean isApplyExist(String applyName, String manufacturerId) {
//
//        ApplyInfo applyInfo = applyInfoFacade.getOneByNameAndManufacturerId(applyName, manufacturerId);
//
//        return applyInfo != null;
//    }
//
//    private boolean isApplyCodeExist(String applyCode) {
//
//        ApplyInfo applyInfo = applyInfoFacade.getAppByCode(applyCode);
//
//        return applyInfo != null;
//    }
//
//    private boolean isApplyNameExist(String applyName) {
//        ApplyInfo applyInfo = applyInfoFacade.getOneByName(applyName);
//
//        return applyInfo != null;
//    }
//
//    private ManufacturerInfo getManufacturer(String manufacturerName, String manufacturerCode) {
//        return manufacturerInfoFacade.getOneByCodeName(manufacturerCode, manufacturerName);
//    }
//
//    private ApplyInfo getApply(String applyName, String applyCode) {
//        return applyInfoFacade.getOneByCodeAndName(applyCode, applyName);
//    }
//
//
//    private UserInfo getUserBySFZ(String idcard) {
//        Map map = new HashMap();
//        map.put("deleted", "0");
//        map.put("idcard", idcard);
//        List<UserInfo> users = iUserInfoFacade.andSearch(map);
//        if (CollectionUtils.isNotEmpty(users)) {
//            return users.get(0);
//        }
//        return null;
//    }
//
//    private SecurityUser getSecurityUser(UserInfo userInfo) {
//        /*SecurityUser securityUser = new SecurityUser();
//        List<SecurityOrg> securityOrgs = new ArrayList<SecurityOrg>();
//        SecurityOrg securityOrg = new SecurityOrg();
//        securityOrg.setId(userInfo.getOrgId());
//        if (StringUtils.isNotBlank(userInfo.getOrgId())) {
//            OrgInfo orgInfo = iOrgInfoFacade.detail(userInfo.getOrgId());
//            securityOrg.setName(orgInfo.getFullName());
//            securityOrg.setAreaCode(orgInfo.getAreaCode());
//        }
//        securityOrgs.add(securityOrg);
//        securityUser.setSecurityOrgs(securityOrgs);
//        securityUser.setId(userInfo.getId());
//        securityUser.setSecurityOrgs(securityOrgs);
//        return securityUser;*/
//        return null;
//    }
//
//    private UserInfo setUserInfo(List<UserContact> list, UserInfo info) {
//        for (UserContact userContact : list) {
//            if (!userContact.getUserId().equals(info.getId())) {
//                continue;
//            }
//            String type = userContact.getType();
//            String code = userContact.getMassage();
//            if (ContactTypeEnum.QQ.getValue().equals(type)) {
//                info.setQqAccount(code);
//            } else if (ContactTypeEnum.WX.getValue().equals(type)) {
//                info.setWxAccount(code);
//            } else if (ContactTypeEnum.em.getValue().equals(type)) {
//                info.setEmail(code);
//            } else if (ContactTypeEnum.phone.getValue().equals(type)) {
//                info.setPhone(code);
//            } else if (ContactTypeEnum.mobilePrivate.getValue().equals(type)) {
//                info.setMobilePrivate(code);
//            } else if (ContactTypeEnum.mobileWork.getValue().equals(type)) {
//                info.setMobileWork(code);
//            }
//        }
//        return info;
//    }
//
//    private String newApplyCode(String orgCode) {
//        StringBuilder str = new StringBuilder();
//        String returnStr = "";
//        for (int i = 0; i < 3; i++) {
//            str.append(RandomUtils.nextInt(10));
//        }
//        boolean flag = isApplyCodeExist(orgCode + str);
//        if (flag) {
//            returnStr = newApplyCode(orgCode);
//        }
//        orgCode += str;
//        return StringUtils.isNotBlank(returnStr) ? returnStr : orgCode;
//    }
//
//    private String getName(String orgCode) {
//        StringBuilder num = new StringBuilder();
//        for (int i = 0; i < 8; i++) {
//            num.append(RandomUtils.nextInt(10));
//        }
//        return orgCode + num;
//    }
//
//
//}
