package com.dragoninfo.dcuc.authweb.restcontroller.api.controller.pojo;

import com.dragoninfo.dcuc.authweb.annotation.RequiredField;
import com.dragonsoft.duceap.base.entity.persistent.IdEntity;


public class ManufacturerInfoPojo implements IdEntity<String> {

    private String id;
    //厂商名称
    @RequiredField
    private String manufacturerName;

    //厂商负责人
    @RequiredField
    private String name;

    //负责人身份号码
    private String idcard;

    //联系电话
    @RequiredField
    private String phone;

    //调用接口人员身份证
    @RequiredField
    private String sfz;

    //厂商代码
    @RequiredField
    private String code;

    //联系地址
    private String address;

    //0:使用中，1：删除
    private String deleted;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getManufacturerName() {
        return manufacturerName;
    }

    public void setManufacturerName(String manufacturerName) {
        this.manufacturerName = manufacturerName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIdcard() {
        return idcard;
    }

    public void setIdcard(String idcard) {
        this.idcard = idcard;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getDeleted() {
        return deleted;
    }

    public void setDeleted(String deleted) {
        this.deleted = deleted;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getSfz() {
        return sfz;
    }

    public void setSfz(String sfz) {
        this.sfz = sfz;
    }

    @Override
    public String toString() {
        return "ManufacturerInfo{" +
                "id='" + id + '\'' +
                ", manufacturerName='" + manufacturerName + '\'' +
                ", name='" + name + '\'' +
                ", idcard='" + idcard + '\'' +
                ", phone='" + phone + '\'' +
                ", code='" + code + '\'' +
                ", address='" + address + '\'' +
                ", deleted='" + deleted + '\'' +
                '}';
    }
}
