package com.dragoninfo.dcuc.authweb.restcontroller.api.controller.pojo;

import com.dragoninfo.dcuc.authweb.annotation.RequiredField;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * Created by Administrator on 2019/6/27.
 */
public class UserInfoPojo {
    //编号
    private String id;

    //调用接口人员身份证
    @RequiredField
    private String sfz;

    //用户类型：10 民警  20 辅警    30外部人员
    private String userType;

    //姓名
    @RequiredField
    private String name;

    //身份证
    @RequiredField
    private String idcard;

    //nation 民族
    @RequiredField
    private String nation;

    //性别 10：男 20：女 99999：未知
    private String sex;

    //出生日期
    @DateTimeFormat(pattern = "yyyyMMdd")
    private Date birth;

    @DateTimeFormat(pattern = "yyyyMMdd")
    private Date createTime;

    //所在机构编码
    private String orgCode;

    //照片
    private String photo;

    //orgId
    private String orgId;

    //orgName
    private String orgName;

    //联系地址
    private String address;

    //排序号
    private java.math.BigDecimal sortNo;

    //层级
    private String orgLevel;

    //警号
    private String policeNumber;

    //所属公司(Id)
    private String company;

    //所属公司代码
    @RequiredField
    private String manufacturerCode;

    //所属公司名称
    @RequiredField
    private String manufacturerName;

    //所属公司代码
    private String companyCode;

    //所属公司负责人
    private String companyPerson;

    //所属公司负责人电话
    private String personMobile;

    //施工项目
    private String project;

    //施工项目code
    @RequiredField
    private String applyCode;

    //施工项目名称
    @RequiredField
    private String applyName;

    //私人手机号
    private String mobilePrivate;

    //手机号码（必填）
    @RequiredField
    private String mobileWork;

    //座机
    private String phone;

    //qq号码
    private String qqAccount;

    //邮箱
    private String email;

    //微信
    private String wxAccount;

    //0:使用中  1：删除
    private String deleted;

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getPoliceNumber() {
        return policeNumber;
    }

    public void setPoliceNumber(String policeNumber) {
        this.policeNumber = policeNumber;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getId() {
        return this.id;
    }

    public void setUserType(String value) {
        this.userType = value;
    }

    public String getUserType() {
        return this.userType;
    }

    public void setName(String value) {
        this.name = value;
    }

    public String getName() {
        return this.name;
    }

    public void setIdcard(String value) {
        this.idcard = value;
    }

    public String getIdcard() {
        return this.idcard;
    }

    public void setNation(String value) {
        this.nation = value;
    }

    public String getNation() {
        return this.nation;
    }

    public void setSex(String value) {
        this.sex = value;
    }

    public String getSex() {
        return this.sex;
    }

    public void setBirth(Date value) {
        this.birth = value;
    }

    public Date getBirth() {
        return this.birth;
    }

    public void setPhoto(String value) {
        this.photo = value;
    }

    public String getPhoto() {
        return this.photo;
    }

    public void setOrgId(String value) {
        this.orgId = value;
    }

    public String getOrgId() {
        return this.orgId;
    }

    public void setOrgName(String value) {
        this.orgName = value;
    }

    public String getOrgName() {
        return this.orgName;
    }

    public void setAddress(String value) {
        this.address = value;
    }

    public String getAddress() {
        return this.address;
    }

    public void setSortNo(java.math.BigDecimal value) {
        this.sortNo = value;
    }

    public java.math.BigDecimal getSortNo() {
        return this.sortNo;
    }

    public void setCompany(String value) {
        this.company = value;
    }

    public String getCompany() {
        return this.company;
    }

    public void setCompanyPerson(String value) {
        this.companyPerson = value;
    }

    public String getCompanyPerson() {
        return this.companyPerson;
    }

    public void setPersonMobile(String value) {
        this.personMobile = value;
    }

    public String getPersonMobile() {
        return this.personMobile;
    }

    public void setProject(String value) {
        this.project = value;
    }

    public String getProject() {
        return this.project;
    }

    public void setDeleted(String value) {
        this.deleted = value;
    }

    public String getDeleted() {
        return this.deleted;
    }

    public String getOrgLevel() {
        return orgLevel;
    }

    public void setOrgLevel(String orgLevel) {
        this.orgLevel = orgLevel;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getCompanyCode() {
        return companyCode;
    }

    public void setCompanyCode(String companyCode) {
        this.companyCode = companyCode;
    }

    public String getApplyCode() {
        return applyCode;
    }

    public void setApplyCode(String applyCode) {
        this.applyCode = applyCode;
    }

    public String getApplyName() {
        return applyName;
    }

    public void setApplyName(String applyName) {
        this.applyName = applyName;
    }

    public String getManufacturerCode() {
        return manufacturerCode;
    }

    public void setManufacturerCode(String manufacturerCode) {
        this.manufacturerCode = manufacturerCode;
    }

    public String getManufacturerName() {
        return manufacturerName;
    }

    public void setManufacturerName(String manufacturerName) {
        this.manufacturerName = manufacturerName;
    }

    public String getMobilePrivate() {
        return mobilePrivate;
    }

    public void setMobilePrivate(String mobilePrivate) {
        this.mobilePrivate = mobilePrivate;
    }

    public String getMobileWork() {
        return mobileWork;
    }

    public void setMobileWork(String mobileWork) {
        this.mobileWork = mobileWork;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getQqAccount() {
        return qqAccount;
    }

    public void setQqAccount(String qqAccount) {
        this.qqAccount = qqAccount;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getWxAccount() {
        return wxAccount;
    }

    public void setWxAccount(String wxAccount) {
        this.wxAccount = wxAccount;
    }

    public String getSfz() {
        return sfz;
    }

    public void setSfz(String sfz) {
        this.sfz = sfz;
    }

    @Override
    public String toString() {
        return "UserInfo{" +
                "id='" + id + '\'' +
                ", userType='" + userType + '\'' +
                ", name='" + name + '\'' +
                ", idcard='" + idcard + '\'' +
                ", nation='" + nation + '\'' +
                ", sex='" + sex + '\'' +
                ", birth=" + birth +
                ", createTime=" + createTime +
                ", orgCode='" + orgCode + '\'' +
                ", photo='" + photo + '\'' +
                ", orgId='" + orgId + '\'' +
                ", orgName='" + orgName + '\'' +
                ", address='" + address + '\'' +
                ", sortNo=" + sortNo +
                ", orgLevel='" + orgLevel + '\'' +
                ", policeNumber='" + policeNumber + '\'' +
                ", company='" + company + '\'' +
                ", companyCode='" + companyCode + '\'' +
                ", companyPerson='" + companyPerson + '\'' +
                ", personMobile='" + personMobile + '\'' +
                ", project='" + project + '\'' +
                ", deleted='" + deleted + '\'' +
                ", applyName='" + applyName + '\'' +
                ", applyCode='" + applyCode + '\'' +
                ", manufacturerName='" + manufacturerName + '\'' +
                ", manufacturerCode='" + manufacturerCode + '\'' +
                '}';
    }
}
