package com.dragoninfo.dcuc.authweb.restcontroller.audit.vo;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

@ApiModel(value = "人员角色授权信息Vo")
@Data
public class AuthAuditDetailVo {

    @ApiModelProperty(value = "角色创建人")
    private String roleCreatorName;
    @ApiModelProperty(value = "角色创建人所属机构")
    private String roleCreatorOrg;
    @ApiModelProperty(value = "创建时间",dataType = "int")
    private Integer createYear;
    @ApiModelProperty(value = "角色信息",dataType = "json")
    private RoleInfoVo roleInfoVo;
    @ApiModelProperty(value = "角色操作信息,按时间排序",dataType = "json")
    private List<Map<String, Object>> result;


}
