package com.dragoninfo.dcuc.authweb.restcontroller.audit.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@ApiModel(value = "权限操作信息Vo")
@Data
public class AuthOperateVo {
    @ApiModelProperty(value = "角色所属人")
    private String objectName;
    @ApiModelProperty(value = "变更内容")
    private String content;
    @ApiModelProperty(value = "角色状态")
    private String status;
    @ApiModelProperty(value = "角色所属人id")
    private String userId;
    @ApiModelProperty(value = "应用名称")
    private String appName;
    @ApiModelProperty(value = "应用id")
    private String appId;
    @ApiModelProperty(value = "角色id")
    private String roleId;
    @ApiModelProperty(value = "角色名称")
    private String roleName;
    @ApiModelProperty(value = "授权类型  10：角色授权,20：机构授权，30：人员授权")
    private String type;
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyyMMdd", timezone = "GMT+8")
    private Date createTime;
}
