package com.dragoninfo.dcuc.authweb.restcontroller.auth.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wangrs
 * @date 2021-05-07
 */
@ApiModel(value = "服务主体-机构信息")
@Data
public class AuthOrgInfoVo {
    @ApiModelProperty(value = "id")
    private String id;
    /**
     * 上级行政机构代码
     */
    @ApiModelProperty(value = "上级机构代码")
    private String upGovCode;

    /**
     * 上级行政机构名称
     */
    @ApiModelProperty(value = "上级机构名称")
    private String upGovName;

    /**
     * 机构代码
     */
    @ApiModelProperty(value = "机构代码")
    private String orgCode;

    /**
     * 机构名称
     */
    @ApiModelProperty(value = "机构名称")
    private String fullName;

    /**
     * 机构类型
     */
    @ApiModelProperty(value = "机构类型")
    private String orgKind;

    /**
     * 行政区划
     */
    @ApiModelProperty(value = "行政区划")
    private String areaCode;

    /**
     * 机构类别
     */
    @ApiModelProperty(value = "机构类别")
    private String orgType;

    /**
     * 机构层级
     */
    @ApiModelProperty(value = "机构层级")
    private String orgLevel;

    /**
     * 单位级别
     */
    @ApiModelProperty(value = "单位级别")
    private String orgRank;

    /**
     * 单位类别
     */
    @ApiModelProperty(value = "单位类别")
    private String unitClass;
}
