package com.dragoninfo.dcuc.authweb.restcontroller.auth.vo;



import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(value = "功能事件资源Vo")
@Data
public class FunEventVo {

    //编号
    @ApiModelProperty(value = "编号")
    private String id;

    //事件名称
    @ApiModelProperty(value = "事件名称")
    private String name;

    //事件代码
    @ApiModelProperty(value = "事件代码")
    private String code;

    //功能ID
    @ApiModelProperty(value = "功能ID")
    private String funId;

    //事件类型(1：公共 2：自定义)
    @ApiModelProperty(value = "事件类型(1：公共 2：自定义)")
    private String eventType;

    //是否显示(1：在菜单中显示 2：不在菜单中显示)
    @ApiModelProperty(value = "是否显示(1：在菜单中显示 2：不在菜单中显示)")
    private String showMode;

    //排序
    @ApiModelProperty(value = "排序")
    private Integer seq;

    //有效标志(0：无效 1：有效)
    @ApiModelProperty(value = "有效标志(0：无效 1：有效)")
    private String isActive = "1";

    //创建时间
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyyMMdd", timezone = "GMT+8")
    private java.util.Date createTime;

    //创建人
    @ApiModelProperty(value = "创建人")
    private String creator;

    //修改时间
    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyyMMdd", timezone = "GMT+8")
    private java.util.Date modifiedTime;

    //修改人
    @ApiModelProperty(value = "修改人")
    private String modifier;

    //备注
    @ApiModelProperty(value = "备注")
    private String remark;
}
