
package com.dragoninfo.dcuc.authweb.restcontroller.auth.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@ApiModel(value = "角色分配到指定机构的人数限额信息Vo")
@Data
public class OrgQuotaAuthInfoVo {


	//ID
	@ApiModelProperty(value = "id")
	private String id;

	//应用ID
	@ApiModelProperty(value = "应用ID")
	private String appId;

	//角色ID
	@ApiModelProperty(value = "角色ID")
	private String roleId;

	//目标机构ID
	@ApiModelProperty(value = "目标机构ID")
	private String targetOrgId;

	//操作管理员ID
	@ApiModelProperty(value = "操作管理员ID")
	private String managerId;

	//操作管理员所属机构ID
	@ApiModelProperty(value = "操作管理员所属机构ID")
	private String mgeOrgId;

	//本级已分配名额
	@ApiModelProperty(value = "本级已分配名额")
	private Integer bjNum;

	//已下发名额
	@ApiModelProperty(value = "已下发名额")
	private Integer yxfNum;

	//待分配名额
	@ApiModelProperty(value = "待分配名额")
	private Integer dfpNum;

	//状态 10：新建 20：修改
	@ApiModelProperty(value = "状态 10：新建 20：修改")
	private String status;

	//创建时间
	@ApiModelProperty(value = "创建时间")
	private Date createTime;

	//是否是初始化的机构配额信息
	@ApiModelProperty(value = "是否是初始化的机构配额信息")
	private String isInit;

}

