package com.dragoninfo.dcuc.authweb.restcontroller.auth.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**服务授权vo
 * @Author yica
 * @Date 2021/2/20 15:27
 **/
@Data
@Api(value = "服务授权vo")
public class ServiceAuthVo {
    @ApiModelProperty(value = "id",required = true)
    private String id;

    @ApiModelProperty(value = "应用id", required = true)
    private String appId;

    @ApiModelProperty(value = "应用code", required = true)
    private String appCode;

    @ApiModelProperty(value = "应用名称",required = true)
    private String appName;


    @ApiModelProperty(value = "服务id", required = true)
    private String serviceId;

    @ApiModelProperty(value = "服务code",required = true)
    private String serviceCode;

    @ApiModelProperty(value = "服务名称",required = true)
    private String serviceName;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;
}
