package com.dragoninfo.dcuc.authweb.restcontroller.auth.vo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author yica
 * @Date 2021/3/11 13:37
 **/
@Data
@Api(value = "服务资源vo")
public class ServiceResourceBackVo {

    @ApiModelProperty(value = "id", required = true)
    private String id;


    @ApiModelProperty(value = "资源枚举类-资源类型", required = true)
    private String resourceType;

    /**
     * 服务编码
     */
    @ApiModelProperty(value = "服务编码", required = true)
    private String serviceCode;

    /**
     * 服务名称
     */
    @ApiModelProperty(value = "服务名称")
    private String serviceName;

    /**
     * 服务资源状态代码 0：未激活；1：启用；2：停止；3：撤销；
     */
    @ApiModelProperty(value = "服务资源状态代码 0：未激活；1：启用；2：停止；3：撤销")
    private String serviceStatus;

    /**
     * 服务访问地址
     */
    @ApiModelProperty(value = "服务访问地址")
    private String serviceUrl;


}
