package com.dragoninfo.dcuc.authweb.restcontroller.auth.vo.data;

import com.dragoninfo.dcuc.auth.auth.vo.DataAuthAcceptVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author mazq
 * @date 2021/4/8
 */
@ApiModel("业务域数据授权接收对象")
@Data
public class LabelDataAuthAcceptVo {

    @ApiModelProperty(value = "业务域表码code值")
    private String businessCode;

    @ApiModelProperty(value = "数据属性授权类型 TABLE：表授权 COLUMN：列授权")
    private String authType;

    @ApiModelProperty(value = "需要授权的数据对象",dataType = "object[]")
    private List<DataAuthAcceptVo> authVoList;

}
