package com.dragoninfo.dcuc.authweb.restcontroller.auth.vo.data;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author mazq
 * @date 2021/4/13
 */
@Data
@ApiModel("主体数据权限查询参数封装对象")
public class SubDataAuthQueryVo {

    @ApiModelProperty(value = "主体id: 人员|机构id/业务域code")
    private String subId;

    @ApiModelProperty(value = "主体类型：机构:ORG|人员:USER|业务域:BUSINESS")
    private String subType;

    @ApiModelProperty(value = "数据属性授权类型 TABLE：表授权 COLUMN：列授权")
    private String authType;
}
