package com.dragoninfo.dcuc.authweb.restcontroller.list.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author mazq
 * @date 2021/7/9
 */
@ApiModel(value = "红名单操作Vo")
@Data
public class RedListOperateVo {

    @ApiModelProperty(value = "红名单等级")
    private String level;

    @ApiModelProperty(value = "客体类型")
    private String objType;

    @ApiModelProperty(value = "客体id集合")
    private List<String> objIds;

    @ApiModelProperty(value = "红名单记录id")
    private List<String> listIds;
}
