package com.dragoninfo.dcuc.authweb.restcontroller.list.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author mazq
 * @date 2021/7/9
 */
@ApiModel(value = "人员白名单Vo")
@Data
public class WhiteListUserVo {

    @ApiModelProperty(value = "人员id")
    private String userId;
    @ApiModelProperty(value = "人员姓名")
    private String userName;
    @ApiModelProperty(value = "人员所属机构id")
    private String orgId;
    @ApiModelProperty(value = "人员所属机构名称")
    private String orgName;
    @ApiModelProperty(value = "人员所属机构code")
    private String orgCode;
    @ApiModelProperty(value = "人员身份证号")
    private String idcard;
    @ApiModelProperty(value = "白名单权限级别")
    private String listLevel;
    @ApiModelProperty(value = "白名单记录id")
    private String listId;
}
