package com.dragoninfo.dcuc.authweb.restcontroller.selfauth.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author mazq
 * @date 2021/7/8
 */
@ApiModel(value = "应用功能权限自助申请Vo")
@Data
public class AppFunAuthApplyVo {

    @ApiModelProperty(value = "工作流申请vo")
    private WorkFlowVo workFlow;

    @ApiModelProperty(value = "需要申请权限的应用菜单和功能集合")
    private List<AppFunAuthResourceVo> resourceInfos;

    @ApiModelProperty(value = "需要撤销的应用菜单和功能集合")
    private List<AppFunAuthResourceVo> delResourceInfos;
}
