package com.dragoninfo.dcuc.authweb.restcontroller.sub.vo.attr;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author mazq
 * @date 2021/5/24
 */
@Data
@ApiModel(value = "主客关联关系查询Vo")
public class RelSearchVo {

    @ApiModelProperty(value = "页码，从0开始")
    private Integer page;

    @ApiModelProperty(value = "页面数量")
    private Integer size;

    @ApiModelProperty(value = "属性id")
    private String attrId;

    @ApiModelProperty(value = "属性类别  SUB:主体属性 OBJ:客体属性")
    private String attrType;

    @ApiModelProperty(value = "属性所属的主客体类别  USER:人员 ORG:机构 APP:应用 FUN:功能  SER:服务")
    private String attrBelongType;

    @ApiModelProperty(value = "主客体名称")
    private String name;

    @ApiModelProperty(value = "主客体标识  应用：应用code 机构：机构code 人员：人员身份证号")
    private String code;
}
