package com.dragoninfo.dcuc.authweb.restcontroller.sub.vo.data;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * @author mazq
 * @date 2021/5/25
 */
@Data
@ApiModel(value = "数据资源分类所有层级Vo")
public class DataClaAcceptVo {

    @ApiModelProperty(value = "一级主键")
    private String firId;

    @ApiModelProperty(value = "二级主键")
    private String secId;

    @ApiModelProperty(value = "标签分类主键")
    private String labClaId;

    @ApiModelProperty(value = "标签主键")
    private String labId;

    @ApiModelProperty(value = "一级代码")
    private String firCode;

    @ApiModelProperty(value = "一级分类")
    private String firName;

    @ApiModelProperty(value = "二级代码")
    private String secCode;

    @ApiModelProperty(value = "二级分类")
    private String secName;

    @ApiModelProperty(value = "标签分类代码")
    private String labClaCode;

    @ApiModelProperty(value = "标签分类")
    private String labClaName;

    @ApiModelProperty(value = "标签代码")
    private String labCode;

    @ApiModelProperty(value = "标签名称")
    private String labName;

    @ApiModelProperty(value = "说明")
    private String remark;
}
