package com.dragoninfo.dcuc.authweb.restcontroller.sub.vo.org;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author mazq
 * @date 2021/6/11
 */
@ApiModel(value = "机构信息Vo")
@Data
public class AuthOrgVo {

    @ApiModelProperty(value = "主键id")
    private String id;

    @ApiModelProperty(value = "上级行政机构代码")
    private String upGovCode;

    @ApiModelProperty(value = "上级机构id")
    private String upGovId;

    @ApiModelProperty(value = "上级行政机构名称")
    private String upGovName;

    @ApiModelProperty(value = "机构代码")
    private String code;

    @ApiModelProperty(value = "机构名称")
    private String fullName;

    @ApiModelProperty(value = "机构类型")
    private String orgKind;

    @ApiModelProperty(value = "行政区划")
    private String areaCode;

    @ApiModelProperty(value = "机构类别")
    private String orgType;

    @ApiModelProperty(value = "机构层级")
    private String orgLevel;

    @ApiModelProperty(value = "单位级别")
    private String orgRank;

    @ApiModelProperty(value = "单位类别")
    private String unitClass;

    @ApiModelProperty(value = "层级路径")
    private String path;


}
