//package com.dragoninfo.dcuc.authweb.util;
//
//import com.dragoninfo.dcuc.org.vo.CompareVo;
//
//import java.lang.reflect.Field;
//import java.lang.reflect.InvocationTargetException;
//import java.lang.reflect.Method;
//import java.util.ArrayList;
//import java.util.Arrays;
//import java.util.List;
//
///**
// * Created by Administrator on 2018/6/5.
// */
//public class CompareUtils {
//
//    //获取两个对象
//    public static <T> List<com.dragoninfo.dcuc.user.user.vo.CompareVo> compareUser(T obj1, T obj2) {
//
//        List<com.dragoninfo.dcuc.user.user.vo.CompareVo> resultList = new ArrayList<>();
//
//        try {
//            Field[] fields = obj1.getClass().getDeclaredFields();
//            for (Field field : fields) {
//                field.setAccessible(true);
//                String fieldName = field.getName();
//                fieldName = fieldName.substring(0, 1).toUpperCase() + fieldName.substring(1);
//                if (null == fieldName
//                        || "OrgCode".equals(fieldName)
//                        || "OrgId".equals(fieldName)
//                        || "".equals(fieldName)
//                        || "Id".equals(fieldName)
//                        || "OrgLevel".equals(fieldName)
//                        || "StartDate".equals(fieldName)
//                        || "SortNo".equals(fieldName)
//                        || "UserId".equals(fieldName)
//                        || "Deleted".equals(fieldName)
//                        || "CompanyCode".equals(fieldName)
//                        || "CreateTime".equals(fieldName)
//                        || "PkiKey".equals(fieldName)
//                        || "UserId".equals(fieldName)
//                        || "FileHolders".equals(fieldName)
//                        || "PostInfos".equals(fieldName)
//                        || "Account".equals(fieldName)
//                        || "AccountInfo".equals(fieldName)
//                        || "AccountName".equals(fieldName)
//                        || "Password".equals(fieldName)
//                        || "PwdQ".equals(fieldName)
//                        || "PwdA".equals(fieldName)
//                        || "IsPhoneLogin".equals(fieldName)
//                        || "BeginDate".equals(fieldName)
//                        || "LastLoginTime".equals(fieldName)) {
//                    continue;
//                }
//                Method method = null;
//                try {
//                    method = obj1.getClass().getMethod("get" + fieldName);
//                } catch (NoSuchMethodException e) {
//                    continue;
//                }
//                Object val1 = method.invoke(obj1);
//                Object val2 = method.invoke(obj2);
//                addCompareVo(resultList, fieldName, val1, val2);
//            }
//        } catch (IllegalAccessException e) {
//            e.printStackTrace();
//        } catch (InvocationTargetException e) {
//            e.printStackTrace();
//        }
//
//        return resultList;
//    }
//
//    //获取两个对象
//    public static <T> List<CompareVo> compareObj(T obj1, T obj2) {
//
//        List<CompareVo> resultList = new ArrayList<CompareVo>();
//
//        try {
//            Field[] fields = obj1.getClass().getDeclaredFields();
//            for (Field field : fields) {
//                field.setAccessible(true);
//                String fieldName = field.getName();
//                fieldName = fieldName.substring(0, 1).toUpperCase() + fieldName.substring(1);
//                if (null == fieldName
//                        || "".equals(fieldName)
//                        || "Id".equals(fieldName)
//                        || "UpGovName".equals(fieldName)
//                        || "OrgStartDate".equals(fieldName)
//                        || "OrgEndDate".equals(fieldName)
//                        || "UserId".equals(fieldName)
//                        || "SortNo".equals(fieldName)
//                        || "Path".equals(fieldName)
//                        || "CompanyCode".equals(fieldName)
//                        || "UpGovCode".equals(fieldName)
//                        || "Deleted".equals(fieldName)) {
//                    continue;
//                }
//                Method method = null;
//                try {
//                    method = obj1.getClass().getMethod("get" + fieldName);
//                } catch (NoSuchMethodException e) {
//                    continue;
//                }
//                Object val1 = method.invoke(obj1);
//                Object val2 = method.invoke(obj2);
//                if (val1 == null && val2 != null && !"".equals(val2.toString())) {
//                    resultList.add(new CompareVo("", val2.toString(), fieldName));
//                } else if (val1 != null && val2 == null && !"".equals(val1.toString())) {
//                    resultList.add(new CompareVo(val1.toString(), "", fieldName));
//                } else if (val1 != null && val2 != null && !val1.toString().equals(val2.toString())) {
//                    resultList.add(new CompareVo(val1.toString(), val2.toString(), fieldName));
//                }
//            }
//        } catch (IllegalAccessException e) {
//            e.printStackTrace();
//        } catch (InvocationTargetException e) {
//            e.printStackTrace();
//        }
//
//        return resultList;
//    }
//
//
//    /**
//     * @param beforeObj
//     * @param afterObj
//     * @param filedName 比对的字段
//     * @param <T>
//     * @return
//     */
//    public static <T> List<com.dragoninfo.dcuc.user.user.vo.CompareVo> compareVos(T beforeObj, T afterObj, String... filedName) {
//        List<com.dragoninfo.dcuc.user.user.vo.CompareVo> resultList = new ArrayList<>();
//        List<String> fieldList = Arrays.asList(filedName);
//        try {
//            Field[] fields = beforeObj.getClass().getDeclaredFields();
//            for (Field field : fields) {
//                if (!fieldList.contains(field.getName())) {
//                    continue;
//                }
//                field.setAccessible(true);
//                String fieldName = field.getName().substring(0, 1).toUpperCase() + field.getName().substring(1);
//                Method method = null;
//                try {
//                    method = beforeObj.getClass().getMethod("get"+fieldName);
//                } catch (NoSuchMethodException e) {
//                    continue;
//                }
//                Object val1 = method.invoke(beforeObj);
//                Object val2 = method.invoke(afterObj);
//                addCompareVo(resultList, fieldName, val1, val2);
//            }
//        }catch (Exception e){
//            e.printStackTrace();
//        }
//
//        return resultList;
//    }
//
//    private static void addCompareVo(List<com.dragoninfo.dcuc.user.user.vo.CompareVo> resultList, String fieldName, Object val1, Object val2) {
//        if (val1 == null && val2 != null && !"".equals(val2.toString())) {
//            resultList.add(new com.dragoninfo.dcuc.user.user.vo.CompareVo("", val2.toString(), fieldName));
//        } else if (val1 != null && val2 == null && !"".equals(val1.toString())) {
//            resultList.add(new com.dragoninfo.dcuc.user.user.vo.CompareVo(val1.toString(), "", fieldName));
//        } else if (val1 != null && val2 != null && !val1.toString().equals(val2.toString())) {
//            resultList.add(new com.dragoninfo.dcuc.user.user.vo.CompareVo(val1.toString(), val2.toString(), fieldName));
//        }
//    }
//
//}
