package com.dragoninfo.dcuc.authweb.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Length;

/**
 *资源信息vo
 * @Author yica
 * @Date 2021/1/19 9:48
 **/
@ApiModel(value = "资源详细vo")
public class AuthResourceVo {
    /*资源code*/
    @ApiModelProperty(value = "资源code")
    private String code;
    /*资源名称*/
    @ApiModelProperty(value = "资源名称")
    @Length(max = 10, min = 5, message = "username length must between 5 and 10")
    private String name;
    /*上级资源code*/
    @ApiModelProperty(value = "上级资源code")
    private String upCode;
    /*路径*/
    @ApiModelProperty(value = "路径")
    private String url;
    /*排序*/
    @ApiModelProperty(value = "排序")
    private String sort;


    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getUpCode() {
        return upCode;
    }

    public void setUpCode(String upCode) {
        this.upCode = upCode;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getSort() {
        return sort;
    }

    public void setSort(String sort) {
        this.sort = sort;
    }
}
